Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 459277 - Bug in 0.9.8.2 already fixed upstream
Summary: Bug in 0.9.8.2 already fixed upstream
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: s3cmd
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-15 16:34 UTC by Ulrich Drepper
Modified: 2008-09-10 07:17 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 07:17:31 UTC
Type: ---


Attachments (Terms of Use)

Description Ulrich Drepper 2008-08-15 16:34:57 UTC
Description of problem:
I've encountered a bug in the current F9 version of s3cmd:

> [...]
> >   File "/usr/lib/python2.5/site-packages/S3/S3.py", line 384, in send_file
> >     debug("MD5 sums: computed=%s, received=%s" % (md5_computed,
> > response["headers"]["etag"]))
> > KeyError: 'etag'

The author said this is already fixed in the current upstream version 0.9.8.3.

Version-Release number of selected component (if applicable):
0.9.8.1-3.fc9

How reproducible:
always

Steps to Reproduce:
1.try to upload something
2.
3.
  
Actual results:
message ending in what is shown above

Expected results:
upload without message

Additional info:

Comment 1 Lubomir Rintel 2008-08-16 09:19:20 UTC
Thanks for the report, Ulrich.

0.9.8.3 is already in devel for some time; pick the rawhide package for a quick fix. I'll import it in F-9 CVS branch now, but cannot build it until the infrastructure outage is over.

Comment 2 Fedora Update System 2008-08-24 15:03:11 UTC
s3cmd-0.9.8.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/s3cmd-0.9.8.3-1.fc9

Comment 3 Fedora Update System 2008-09-10 07:17:28 UTC
s3cmd-0.9.8.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.